Package org.pushingpixels.substance.api.tabbed

# Interface VetoableTabCloseListener

All Superinterfaces:
  `BaseTabCloseListener`, `TabCloseListener`

public interface VetoableTabCloseListener extends TabCloseListener
Vetoable listener on tab closing. This class is part of officially supported API.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`vetoTabClosing(JTabbedPane tabbedPane, Component tabComponent)`
Called when a tab is about to be closed.

### Methods inherited from interface org.pushingpixels.substance.api.tabbed.TabCloseListener

`tabClosed, tabClosing`

## Method Details

### vetoTabClosing

boolean vetoTabClosing(JTabbedPane tabbedPane, Component tabComponent)
Called when a tab is about to be closed. Can veto the tab closing.

Parameters:
  `tabbedPane` - Tabbed pane.
  `tabComponent` - Tab component to be closed.
Returns:
  `true` if the corresponding tab shouldn't be closed, `false` otherwise.